import { createVNode } from 'vue';
import { Modal } from 'ant-design-vue';
import { ExclamationCircleOutlined } from '@ant-design/icons-vue';


const uiTool = {
    delModal(title, callback) {
        Modal.confirm({
            title: '删除提示',
            icon: createVNode(ExclamationCircleOutlined),
            content: title || '确定删除吗？',
            centered: true,
            okText: '确定',
            okType: 'danger',
            cancelText: '取消',
            onOk: callback
        });
    }
}
export default uiTool;